Package org.eclipse.birt.report.engine.api.script.instance

# Interface IImageInstance

All Superinterfaces:
  `IReportElementInstance`, `IReportItemInstance`

public interface IImageInstance extends IReportItemInstance

## Method Summary

Modifier and Type
Method
Description
`IActionInstance`
`createAction()`
Create a new action instance, witch can be bookmark, hyperlink or drillThrough.
`IActionInstance`
`getAction()`
Get the action instance.
`String`
`getAltText()`
Get the alt text
`String`
`getAltTextKey()`
Get the alt text
`byte[]`
`getData()`
Returns the data for a named image
`String`
`getFile()`
get the image url, if the source type is not `IMAGE_REF_TYPE_FILE` return null.
`String`
`getImageName()`
Get the image name
`int`
`getImageSource()`
Returns the type of image source Can be one of the following: org.eclipse.birt.report.engine.content.IImageContent.IMAGE_FILE org.eclipse.birt.report.engine.content.IImageContent.IMAGE_NAME org.eclipse.birt.report.engine.content.IImageContent.IMAGE_EXPRESSION org.eclipse.birt.report.engine.content.IImageContent.IMAGE_URL
`String`
`getMimeType()`
Get the MIME Type
`String`
`getURI()`
Get the image URI
`String`
`getURL()`
get the image url, if the source type is not `IMAGE_REF_TYPE_URL` return null.
`void`
`setAction(IActionInstance actionInstance)`
set the actionInstance
`void`
`setAltText(String altText)`
Set the alt text
`void`
`setAltTextKey(String altTextKey)`
Set the alt text
`void`
`setData(byte[] data)`
Set the data for a named image
`void`
`setFile(String file)`
Sets the image file.
`void`
`setImageName(String imageName)`
Set the image name
`void`
`setMimeType(String type)`
Set the MIME Type
`void`
`setURI(String uri)`
Deprecated.
Set the image URI
`void`
`setURL(String url)`
Sets the image url.

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportElementInstance

`getHeight, getHorizontalPosition, getNamedExpressionValue, getParent, getRowData, getStyle, getUserPropertyValue, getVerticalPosition, getWidth, setHeight, setHorizontalPosition, setUserPropertyValue, setVerticalPosition, setWidth`

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportItemInstance

`getHelpText, getHyperlink, getName, setHelpText, setName`

## Method Details

### getAltText

String getAltText()
Get the alt text

### setAltText

void setAltText(String altText)
Set the alt text

Parameters:
  `altText` -

### getAltTextKey

String getAltTextKey()
Get the alt text

### setAltTextKey

void setAltTextKey(String altTextKey)
Set the alt text

Parameters:
  `altText` -

### getURI

String getURI()
Get the image URI

### setURI

@Deprecated void setURI(String uri)
Deprecated.
Set the image URI

### getImageSource

int getImageSource()
Returns the type of image source Can be one of the following: org.eclipse.birt.report.engine.content.IImageContent.IMAGE_FILE org.eclipse.birt.report.engine.content.IImageContent.IMAGE_NAME org.eclipse.birt.report.engine.content.IImageContent.IMAGE_EXPRESSION org.eclipse.birt.report.engine.content.IImageContent.IMAGE_URL

### getImageName

String getImageName()
Get the image name

### setImageName

void setImageName(String imageName)
Set the image name

### getData

byte[] getData()
Returns the data for a named image

### setData

void setData(byte[] data)
Set the data for a named image

### getMimeType

String getMimeType()
Get the MIME Type

### setMimeType

void setMimeType(String type)
Set the MIME Type

### setURL

void setURL(String url)
Sets the image url. The source type is `IMAGE_REF_TYPE_URL`, and will automatically set in this method.

### getURL

String getURL()
get the image url, if the source type is not `IMAGE_REF_TYPE_URL` return null.

### setFile

void setFile(String file)
Sets the image file. The source type is `IMAGE_REF_TYPE_FILE`, and will automatically set in this method.

### getFile

String getFile()
get the image url, if the source type is not `IMAGE_REF_TYPE_FILE` return null.

### createAction

IActionInstance createAction()
Create a new action instance, witch can be bookmark, hyperlink or drillThrough. The default action instance type is NULL.

### getAction

IActionInstance getAction()
Get the action instance.

### setAction

void setAction(IActionInstance actionInstance)
set the actionInstance

Parameters:
  `actionInstance` -